| Main branch                                                                                                                                                                 | Release   | OpenHUB       |
|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------| --------- | ------------- |
| [![Main Build Status](https://buildserver.deegree.org/buildStatus/icon?job=deegree-3.5-release-pipeline)](https://buildserver.deegree.org/job/deegree-3.5-release-pipeline) | [![GitHub release (latest SemVer)](https://img.shields.io/github/v/release/deegree/deegree3?sort=semver)](https://github.com/deegree/deegree3/releases/latest) | [![OpenHUB](https://www.openhub.net/p/deegree3/widgets/project_thin_badge.gif)](https://www.openhub.net/p/deegree3) |
# deegree webservices
deegree is open source software for spatial data infrastructures and the geospatial web. deegree includes components for geospatial data management, including data access, visualization, discovery and security. Open standards are at the heart of deegree. The software is built on the standards of the Open Geospatial Consortium (OGC) and the ISO Technical Committee 211.

## Repositories

3 git repositories are involved here:
- the upstream repository on github: https://github.com/deegree/deegree3/
- lat-lon's fork on github: https://github.com/lat-lon/deegree3
- the (partial) mirror of lat-lon's fork on OpenCoDE: see [OpenCoDE mirror](opencode.md)

## User documentation
General project information and user documentation (e.g. "How to set up WMS and WFS?" or "How to get support?") can be found on the deegree homepage:

https://www.deegree.org/documentation

## Developer documentation
Information for developer (e.g. "How to build deegree webservices?") can be found on the deegree project wiki on GitHub:

https://github.com/deegree/deegree3/wiki

## License

[![License](https://img.shields.io/badge/License-LGPL%20v2.1-blue.svg)](https://www.gnu.org/licenses/lgpl-2.1)

deegree is distributed under the GNU Lesser General Public License, Version 2.1 (LGPL 2.1). Generally speaking this means that you have essential freedoms such as: Run the software for any purpose, find out how it works, make changes, redistribute copies (of modified versions). Practically, with these freedoms, you do not have to pay a license fee, you can create as many installations as you need, and you're not bound to one single vendor. Instead you can contact a service provider of your choice to make necessary configurations or code adjustments. Or you may even step up and do this yourself.

More information about free software can be found at the free software foundation. A good starting point is [www.gnu.org](https://www.gnu.org).

## Contribution guidelines

First off all, thank you for taking the time to contribute to deegree! :+1: :tada:

By participating you are expected to uphold the [Contribution guidelines](CONTRIBUTING.md).

You can add yourself when contributing to the project to the [list of contributors](CONTRIBUTORS.md).
